/*---------------------------------------------------------------------*/
/* --- Web: www.STCAI.com ---------------------------------------------*/
/*---------------------------------------------------------------------*/

/*************  功能说明    **************

本例程基于AI8051U为主控芯片的实验箱进行编写测试。

使用Keil C51编译器,为了达到比较高的效率,一般建议选择"Small"模式。

当编译器出现 "error C249: 'DATA': SEGMENT TOO LARGE" 错误时，则需要手动将部分比较大的数组通过"xdata" 强制分配到 XDATA 区域(例如: char xdata buffer [256];)

HID(Human Interface Device)协议范例

示例代码名称的字符1-4为相应USB设备的VID,字符6-9为相应USB设备的PID

将代码下载到试验箱后，可使用最新的STC-ISP下载软件中的HID助手检测测试

下载时, 设置IRC工作频率为 24MHz.

******************************************/

#include "usb.h"

void main()
{
    WTST = 0;  //设置程序指令延时参数，赋值为0可将CPU执行指令的速度设置为最快
    EAXSFR(); //扩展寄存器(XFR)访问使能
    CKCON = 0; //提高访问XRAM速度

    usb_init();
    EA = 1;
    
    while (1);
}
